# Uses of Enum Class
org.snpeff.snpEffect.VariantEffect.Coding

Packages that use VariantEffect.Coding
Package
Description
org.snpeff.snpEffect
org.snpeff.vcf

## Uses of VariantEffect.Coding in org.snpeff.snpEffect

Subclasses with type arguments of type VariantEffect.Coding in org.snpeff.snpEffect
Modifier and Type
Class
Description
`static enum`
`VariantEffect.Coding`
Methods in org.snpeff.snpEffect that return VariantEffect.Coding
Modifier and Type
Method
Description
`static VariantEffect.Coding`
VariantEffect.Coding.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantEffect.Coding[]`
VariantEffect.Coding.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of VariantEffect.Coding in org.snpeff.vcf

Methods in org.snpeff.vcf that return VariantEffect.Coding
Modifier and Type
Method
Description
`VariantEffect.Coding`
VcfEffect.`getCoding()`
Methods in org.snpeff.vcf with parameters of type VariantEffect.Coding
Modifier and Type
Method
Description
`void`
VcfEffect.`setCoding(VariantEffect.Coding coding)`